Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Ubuntu (Lubuntu) 12.04 compile problem (qt4_use_modules)  (Read 2153 times)

0 Members and 1 Guest are viewing this topic.

Offline ralphtheninja

  • Newbie
  • *
  • Posts: 2
    • View Profile
Ubuntu (Lubuntu) 12.04 compile problem (qt4_use_modules)
« on: November 14, 2013, 12:10:19 AM »

[email protected]|01:08|~/src $ cmake --version
cmake version 2.8.7

[email protected]|01:08|~/src $ cmake ProtoShares
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Found BDB library -- /usr/lib/i386-linux-gnu/libdb_cxx.so
-- Boost version: 1.46.1
-- Found the following Boost libraries:
--   system
--   filesystem
--   thread
--   program_options
--   unit_test_framework
-- checking for module 'openssl'
--   found openssl, version 1.0.1
-- Found OpenSSL: /usr/lib/i386-linux-gnu/libssl.so;/usr/lib/i386-linux-gnu/libcrypto.so (found version "1..1")
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt4: /usr/bin/qmake (found suitable version "4.8.1", required is "4.4.3")
CMake Error at src/qt/CMakeLists.txt:92 (qt4_use_modules):
  Unknown CMake command "qt4_use_modules".

Any ideas?

Cheers

Offline JeffreyLee

  • Jr. Member
  • **
  • Posts: 40
    • View Profile
Re: Ubuntu (Lubuntu) 12.04 compile problem (qt4_use_modules)
« Reply #1 on: November 14, 2013, 12:20:31 AM »
Update your cmake to 2.8.11,try
BitShares-PTS:Pop8mPCmtzSLc1NXaJLSnE2gpvDvCZJgMd
Please give me a vote:wallet_approve_delegate sunshine.clerk 1

Offline ralphtheninja

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: Ubuntu (Lubuntu) 12.04 compile problem (qt4_use_modules)
« Reply #2 on: November 14, 2013, 11:36:26 PM »
Got version 2.8.12.1 now and it solved the first problem, but cmake fails on something else. Am I doing it the right way? Sorry for being newbish but I've never use cmake before. I'm used to ./configure && make && make install or similar.

[email protected]|00:34|~/src $ cmake --version
cmake version 2.8.12.1
[email protected]|00:34|~/src $ cmake ProtoShares/
-- Found BDB library -- /usr/lib/i386-linux-gnu/libdb_cxx.so
-- Boost version: 1.46.1
-- Found the following Boost libraries:
--   system
--   filesystem
--   thread
--   program_options
--   unit_test_framework
CMake Error: File /home/magnus/src/ProtoShares/doc/Doxyfile.in does not exist.
CMake Error at CMakeLists.txt:51 (configure_file):
  configure_file Problem configuring file


-- Configuring incomplete, errors occurred!
See also "/home/magnus/src/CMakeFiles/CMakeOutput.log".
See also "/home/magnus/src/CMakeFiles/CMakeError.log".

Offline jt6562

  • Newbie
  • *
  • Posts: 1
    • View Profile
Re: Ubuntu (Lubuntu) 12.04 compile problem (qt4_use_modules)
« Reply #3 on: November 22, 2013, 07:02:10 AM »
CMake Error: File /home/magnus/src/ProtoShares/doc/Doxyfile.in does not exist.

Because you have installed doxygen, but no doxyfile.in in this source code.

Remove doxygen, and execute cmake again
sudo apt-get remove doxygen

 

Google+